2019-02-16 07:57 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002858WHDLoad[All Projects] Generalpublic2017-04-10 10:14
Reportermark_k 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target Version18.3Fixed in Version18.3 
Summary0002858: Support forcing interlace mode in games
DescriptionThis is a suggestion to improve the compatibility of WHDLoad games/demos with modern TVs and other hardware.

Many newer TVs have problems showing non-interlaced video, e.g. non-interlaced high-res Workbench or most games. Other TVs might show non-interlaced modes okay when the Amiga is connected via composite video or S-video, but not via component video and/or RGB. (An Amiga can be connected via an RGB-to-component converter.) The same issue applies to many video capture devices. And recording the Amiga video output to VCR/DVD recorder/whatever might only work properly with interlaced output.

For system-legal programs you can use the Lacer program on the Workbench disk to force interlace mode to always be enabled. Type "Lacer 1" in a CLI window. Also there are several Setlace utilities on Aminet.

So this suggestion is for WHDLoad to check whether a "setlace-type" program has been run, and if so tell installers to always set the LACE bit in bplcon0. Of course that would require that existing installers be updated.

Either that, or check for an ENV-variable that the user could set if they want to force interlace mode.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.1
Attached Files

-Relationships
+Relationships

-Notes

note ~0003526

mark_k (reporter)

Even better, would be to make the interlace/non-interlace state switchable at run-time by pressing a key. Default to the system lace state but allow the user to change it.

note ~0003531

Wepl (manager)

Last edited: 2013-11-19 23:35

View 2 revisions

This would require to modify all installs and on several install significant modifications.
The benefit would be in no relation to the efforts. So I think this cannot be accomplished.

note ~0003563

mark_k (reporter)

I understand each installer would need to support that option. But if WHDLoad had some infrastructure for it, then future installers could easily (depending on the game/demo) support that feature, if the installer writer wishes.

Another related issue shows up when using a genlock. There, the user may want the Amiga video to be synced to the genlock video, which requires that the BPLCON0 ERSY bit be set.

The simplest (but not very user-friendly) way could be a tooltype giving a value to OR with BPLCON0 values written by the game. Better would be some kind of global preference that the user can change before running the installer.

There was a recent thread on EAB where someone tried using games with a genlock:
http://eab.abime.net/showthread.php?t=71728

note ~0005351

Wepl (manager)

I will add a tag WHDLTAG_BPLCON0_GET to resload_Control. This will give the Slave a way to get the system bplcon0 and reuse ERSY/LACE.

note ~0005545

Wepl (manager)

Last edited: 2017-04-10 10:11

View 2 revisions

In 18.3 WHDLoad itself uses the system bplcon0 for custom init. Addtionally the kickemu was adapted to use it too. Slave using kickemu and will be reassembled should preserve lace/genlock now.
An option to retrieve the system bplcon0 is present a long time in WHDLoad. So all that is all WHDLoad can do. To preserve lace/genlock the Slaves must support it,

+Notes

-Issue History
Date Modified Username Field Change
2013-11-17 17:17 mark_k New Issue
2013-11-17 17:29 mark_k Note Added: 0003526
2013-11-19 23:35 Wepl Note Added: 0003531
2013-11-19 23:35 Wepl Note Edited: 0003531 View Revisions
2013-12-11 19:33 mark_k Note Added: 0003563
2016-11-18 10:36 administrator Assigned To => administrator
2016-11-18 10:36 administrator Status new => assigned
2016-11-18 10:37 Wepl Assigned To administrator => Wepl
2016-11-18 10:41 Wepl Note Added: 0005351
2016-11-18 10:42 Wepl Target Version => 18.3
2017-04-10 10:09 Wepl Reproducibility N/A => always
2017-04-10 10:09 Wepl Status assigned => resolved
2017-04-10 10:09 Wepl Resolution open => fixed
2017-04-10 10:09 Wepl Fixed in Version => 18.3
2017-04-10 10:09 Wepl Note Added: 0005545
2017-04-10 10:11 Wepl Note Edited: 0005545 View Revisions
2017-04-10 10:14 Wepl Status resolved => closed
+Issue History